<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<application done="file_write">
  <instance component="ocpi.core.file_read" connect="triggered_sampler_xc" to="input">
    <property name="filename" value="input.bin"/>
  </instance>
  <instance component="ocpi.comp.sdr.util.triggered_sampler_xc" connect="file_write">
    <property name="bypass" value="false"/>
    <property name="capture_length" value="1000"/>
    <property name="send_flush" value="true"/>
    <property name="capture_on_meta" value="true"/>
    <property name="capture_single" value="false"/>
    <property name="capture_continuous" value="false"/>
  </instance>
  <instance component="ocpi.core.file_write">
    <property name="filename" value="output.bin"/>
  </instance>
</application>
